package Bubulle;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

public class Lecture {
	
	static int ligne = 1;
	
	public static void launch(String name) throws IOException {
		
		//Contenu
		//X Y Z Taille Net
		
		
		//Paramètrage ((emplacement, nom, extension et nombre de fichiers)
		final File fichier = new File("Files");
		
		

		File file = new File(fichier+"/"+name);
		//readFile(file);
		Bubulles.ExtraireColonnes(fichier+"/"+name);
		
	}
	
	//Récupération du contenu d'un fichier
	private static void readFile(File file) throws IOException {
		BufferedReader br = new BufferedReader(new FileReader(file));
		String line;
		
		while ((line = br.readLine()) != null) {
			//Lecture de la ligne d'un fichier
			readLine(line);
		}
		br.close();
	}
	
	//Lecture d'une ligne correspondant à une bulle
	private static void readLine(String line) {
		
		//Symbole séparant chaque élément
		final String regex = "   ";
		//Nombre de colonne nécessaire
		final int maxCol = 3;
		
		String[] lineTab = line.split(regex);
		String[] coord = new String[3];
		
		//Récupération de XYZ de la bulle actuelle
		for(int i = 1; i <= maxCol; i++) {
			coord[i-1] = lineTab[i];
		}
		
		//Ajout d'une bulle en mémoire
		Recherche.addBulle(new Bulle(ligne, coord));
		ligne++;
		
	}
	
	//Test
	public static void main(String[] args) throws IOException {
		//launch();
	}
}
